diff --git a/web/pgadmin/browser/server_groups/servers/databases/publications/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/publications/__init__.py
index d613efd05..d3a89a682 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/publications/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/publications/__init__.py
@@ -705,7 +705,7 @@ class PublicationView(PGChildNodeView, SchemaDiffObjectCompare):
             sid: Server ID
             did: Database ID
         """
-        res = [{'label': '', 'value': ''}]
+        res = []
 
         sql = render_template("/".join([self.template_path,
                                         'get_all_tables.sql']),
diff --git a/web/pgadmin/browser/server_groups/servers/databases/publications/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/publications/tests/utils.py
index 1ccece65a..012af8eec 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/publications/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/publications/tests/utils.py
@@ -27,7 +27,7 @@ def get_tables(self):
             self.server_id) + '/' +
         str(self.db_id) + '/',
         content_type='html/json')
-    return [tables.json['data'][1]['value']]
+    return [tables.json['data'][0]['value']]
 
 
 def create_publication_api(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/function.ui.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/function.ui.js
index 834de7a0c..59dcbfb0f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/function.ui.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/function.ui.js
@@ -307,7 +307,7 @@ export default class FunctionSchema extends BaseUISchema {
         {'label': 'VOLATILE', 'value': 'v'},
         {'label': 'STABLE', 'value': 's'},
         {'label': 'IMMUTABLE', 'value': 'i'},
-      ], disabled: obj.inCatalog(),
+      ], disabled: (!(this.type === 'procedure')) ? obj.inCatalog() : obj.isGreaterThan95,
       controlProps: {allowClear: false},
     },{
       id: 'proretset', label: gettext('Returns a set?'), type: 'switch',
@@ -342,7 +342,7 @@ export default class FunctionSchema extends BaseUISchema {
     },{
       id: 'procost', label: gettext('Estimated cost'), group: gettext('Options'),
       cell:'string', type: 'text', deps: ['lanname'],
-      disabled: (!(this.type === 'procedure')) ? obj.inCatalog(): obj.isGreaterThan95,
+      disabled: obj.inCatalog(),
     },{
       id: 'prorows', label: gettext('Estimated rows'), type: 'text',
       deps: ['proretset'], visible: obj.isVisible,
@@ -381,7 +381,7 @@ export default class FunctionSchema extends BaseUISchema {
       id: 'variables', label: '', type: 'collection',
       group: gettext('Parameters'),
       schema: this.getNodeVariableSchema(),
-      mode: ['edit', 'create'], canAdd: obj.inCatalog(), canEdit: false,
+      mode: ['edit', 'create'], canAdd: true, canEdit: false,
       canDelete: true,
     },
     {
